Skip to main content
GET
List EndUsers with Summary Information

Authorizations

x-api-key
string
header
required

Query Parameters

heron_id
string | null

Unique ID generated by Heron

Example:

"eus_NvMkHQd8eivk674nW24FnW"

end_user_id
string | null

Filter by ID associated with end_user_id field in transactions

Example:

"your_end_user_id"

name
string | null

Filter by name associated with end user

Example:

"your_end_user_name"

status
enum<string> | null

Filter by status of end user

Available options:
new,
ready,
processed,
reviewed,
review_requested,
failed,
null
Example:

"reviewed"

page
integer | null

Pagination page number (optional). If provided, 'limit' must also be provided.

Required range: x >= 1
limit
integer | null

Pagination limit per page (optional). If provided, 'page' must also be provided.

Required range: 1 <= x <= 10000
order_by
enum<string>
default:last_updated_desc

Order to return end users by

Available options:
last_updated_desc,
last_updated_asc,
created_desc,
created_asc
is_portfolio
boolean | null

Whether the end user is part of a lending portfolio

Example:

true

include_data_sources
boolean
default:false

Whether the to include data sources for each end user

Example:

true

include_scorecard_metrics
boolean
default:false

Whether to include scorecard metrics for each end user (under field criteria)

Example:

true

with_policy_result
any | null
Available options:
passed,
failed,
review_required,
missing_data,
null
with_crm_sync_result
any | null
Available options:
success,
failure,
no_sync_attempted,
null
interval_start
string<date-time> | null
interval_end
string<date-time> | null
include_updates_in_interval
boolean
default:false

When true, interval_start and interval_end match end users created or last updated within the window. Bounds are inclusive only when this flag is true.

Response

200 - application/json

OK

_meta
object

Pagination metadata. Present only if pagination parameters ('page' and 'limit') are provided in the request.

end_users
object[]